Bug 213076 - When cluster is deleted, luci does not send request to ricci agents to delete /etc/cluster/cluster.conf
When cluster is deleted, luci does not send request to ricci agents to delete...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 14:07 EST by Len DiMaggio
Modified: 2009-04-16 18:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 16:14:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2006-10-30 14:07:46 EST
Description of problem:
When cluster is deleted, luci does not send request to ricci agents to delete
/etc/cluster/cluster.conf

Version-Release number of selected component (if applicable):
RHEL5-Server-20061027.0
luci-0.8-21.el5
ricci-0.8-21.el5

How reproducible:
100%

Steps to Reproduce:
1. Delete an existing cluster via the luci web app interface
2. The cluster is deleted from the DB used by luci
3. The /etc/cluster/cluster.con files are not edited/deleted by the ricci agents
on the cluster nodes.
  
Actual results:
The /etc/cluster/cluster.con files are not edited/deleted by the ricci agents on
the cluster nodes.

Expected results:
The /etc/cluster/cluster.con files on the cluster nodes should be deleted -
should the ccsd service also be restarted on the cluster nodes.

Additional info:

I'm seeing messages in the debug log on the luci server that look like this:

---------------------
Oct 30 06:40:40 tng3-5 luci[2296]: [auth 1] reported cluster_info =
(Oct30_a,Oct30_a) for tng3-1.lab.msp.redhat.com
---------------------

The cluster that was deleted was named "Oct30_a" - why is the cluster name
showing up twice in these log messages?
Comment 1 Len DiMaggio 2006-10-30 14:24:08 EST
Is this related to:  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=212584  ?
Comment 2 Ryan McCabe 2006-10-31 12:53:14 EST
re: cluster name showing up twice: the first field is the actual cluster name,
and the second field is the cluster alias.

re: comment #1: i don't think they're related.

just to be clear, when you delete the cluster, are you using the "manage
systems" tab in homebase, or are you using the delete link in the cluster tab?
Comment 3 Len DiMaggio 2006-10-31 13:03:11 EST
Good question - when I referred to "deleting the cluster" I meant to say that
this was from the "manage systems" tab in homebase.
Comment 4 Ryan McCabe 2006-10-31 16:14:52 EST
ok, removing systems and clusters via the "manage systems" page merely removes
them from Luci management; it won't destroy clusters, so it ought not send any
ricci commands (except unauthenticate, when appropriate).
Comment 5 Len DiMaggio 2006-10-31 21:31:29 EST
Thanks Ryan - but, how does a user delete a cluster?

Note You need to log in before you can comment on or make changes to this bug.